Bug 1409545 - [abrt] gnome-shell: js::ShapeTable::search(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: js::ShapeTable::search(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7151948c07cbe2c2383d2948e58...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 12:49 UTC by Elexsandro Rangel
Modified: 2017-12-12 10:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:18:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.45 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: core_backtrace (16.57 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: dso_list (23.54 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: environ (1.61 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: maps (99.91 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: mountinfo (3.80 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: open_fds (4.61 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details
File: var_log_messages (796 bytes, text/plain)
2017-01-02 12:49 UTC, Elexsandro Rangel
no flags Details

Description Elexsandro Rangel 2017-01-02 12:49:28 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::ShapeTable::search
executable:     /usr/bin/gnome-shell
global_pid:     2407
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::ShapeTable::search at /usr/src/debug/mozjs-24.2.0/js/src/vm/Shape.cpp:192
 #1 js::Shape::search at /usr/src/debug/mozjs-24.2.0/js/src/vm/Shape.h:1079
 #2 js::ObjectImpl::nativeLookup at /usr/src/debug/mozjs-24.2.0/js/src/vm/ObjectImpl.cpp:316
 #3 LookupPropertyWithFlagsInline<(js::AllowGC)1> at /usr/src/debug/mozjs-24.2.0/js/src/jsobj.cpp:3607
 #4 GetPropertyHelperInline<(js::AllowGC)1> at /usr/src/debug/mozjs-24.2.0/js/src/jsobj.cpp:3906
 #5 js::GetPropertyHelper at /usr/src/debug/mozjs-24.2.0/js/src/jsobj.cpp:4007
 #6 GetPropertyOperation at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:284
 #7 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2137
 #8 js::RunScript at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:438
 #9 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:500

Comment 1 Elexsandro Rangel 2017-01-02 12:49:34 UTC
Created attachment 1236646 [details]
File: backtrace

Comment 2 Elexsandro Rangel 2017-01-02 12:49:35 UTC
Created attachment 1236647 [details]
File: cgroup

Comment 3 Elexsandro Rangel 2017-01-02 12:49:37 UTC
Created attachment 1236649 [details]
File: core_backtrace

Comment 4 Elexsandro Rangel 2017-01-02 12:49:39 UTC
Created attachment 1236650 [details]
File: dso_list

Comment 5 Elexsandro Rangel 2017-01-02 12:49:40 UTC
Created attachment 1236651 [details]
File: environ

Comment 6 Elexsandro Rangel 2017-01-02 12:49:41 UTC
Created attachment 1236652 [details]
File: exploitable

Comment 7 Elexsandro Rangel 2017-01-02 12:49:43 UTC
Created attachment 1236653 [details]
File: limits

Comment 8 Elexsandro Rangel 2017-01-02 12:49:45 UTC
Created attachment 1236654 [details]
File: maps

Comment 9 Elexsandro Rangel 2017-01-02 12:49:47 UTC
Created attachment 1236655 [details]
File: mountinfo

Comment 10 Elexsandro Rangel 2017-01-02 12:49:48 UTC
Created attachment 1236656 [details]
File: namespaces

Comment 11 Elexsandro Rangel 2017-01-02 12:49:49 UTC
Created attachment 1236657 [details]
File: open_fds

Comment 12 Elexsandro Rangel 2017-01-02 12:49:51 UTC
Created attachment 1236658 [details]
File: proc_pid_status

Comment 13 Elexsandro Rangel 2017-01-02 12:49:52 UTC
Created attachment 1236659 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:35:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:18:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.